Package csb :: Package bio :: Package io :: Module dssp

[frames] | no frames]

# Module dssp

source code

DSSP Parser

Classes
| DSSPParseError
| DSSPParser Simple DSSP Secondary Structure Parser.
| ResidueAssignmentInfo
| StrideParser Simple STRIDE Secondary Structure Parser.

Functions

dict

get(accession, prefix=`'``http://www.pdb.org/pdb/files/``'`) Download and parse a DSSP entry. | source code

Variables
| __package__ = ``'``csb.bio.io``'``

Function Details

### get(accession, prefix=`'``http://www.pdb.org/pdb/files/``'`)

source code

Download and parse a DSSP entry.

Parameters:
  - `accession` (str) - accession number of the entry
  - `prefix` (str) - download URL prefix
Returns: dict
  see DSSPParser.parse